# Visualization
TKV3d
Prs3d

# Prs3d_ShadingAspect Class Reference

A framework to define the display of shading.
The attributes which make up this definition include:
- fill aspect
- color, and
- material
.

`#include <Prs3d_ShadingAspect.hxx>`

Inheritance diagram for Prs3d_ShadingAspect:

[legend]

## Public Member Functions

Standard_EXPORT | Prs3d_ShadingAspect ()
| Constructs an empty framework to display shading. .
Standard_EXPORT void | SetColor (const Quantity_Color &aColor, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
| Change the polygons interior color and material ambient color. .
Standard_EXPORT void | SetColor (const Quantity_NameOfColor aColor, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
| Change the polygons interior color and material ambient color. .
Standard_EXPORT void | SetMaterial (const Graphic3d_MaterialAspect &aMaterial, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
| Change the polygons material aspect. .
Standard_EXPORT void | SetMaterial (const Graphic3d_NameOfMaterial aMaterial, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
Standard_EXPORT void | SetTransparency (const Standard_Real aValue, const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_BOTH_SIDE)
| Change the polygons transparency value. Warning : aValue must be in the range 0,1. 0 is the default (NO transparent) .
Standard_EXPORT void | SetAspect (const Handle(Graphic3d_AspectFillArea3d)&Asp)
| Change the polygons aspect properties. .
Standard_EXPORT Quantity_Color | Color (const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_FRONT_SIDE) const
| Returns the polygons color. .
Standard_EXPORT Graphic3d_MaterialAspect | Material (const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_FRONT_SIDE) const
| Returns the polygons material aspect. .
Standard_EXPORT Standard_Real | Transparency (const Aspect_TypeOfFacingModel aModel=Aspect_TOFM_FRONT_SIDE) const
| Returns the polygons transparency value. .
Standard_EXPORT Handle_Graphic3d_AspectFillArea3d | Aspect () const
| Returns the polygons aspect properties. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Graphic3d_AspectFillArea3d | myAspect

## Constructor & Destructor Documentation

Standard_EXPORT Prs3d_ShadingAspect::Prs3d_ShadingAspect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Graphic3d_AspectFillArea3d Prs3d_ShadingAspect::Aspect | ( |  | ) | const

Standard_EXPORT Quantity_Color Prs3d_ShadingAspect::Color | ( | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_FRONT_SIDE` | ) | const

Standard_EXPORT const Prs3d_ShadingAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Prs3d_BasicAspect.

Standard_EXPORT Graphic3d_MaterialAspect Prs3d_ShadingAspect::Material | ( | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_FRONT_SIDE` | ) | const

Standard_EXPORT void Prs3d_ShadingAspect::SetAspect | ( | const Handle(Graphic3d_AspectFillArea3d)& | Asp | ) |

Standard_EXPORT void Prs3d_ShadingAspect::SetColor | ( | const Quantity_NameOfColor | aColor,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |

Standard_EXPORT void Prs3d_ShadingAspect::SetColor | ( | const Quantity_Color & | aColor,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |

Standard_EXPORT void Prs3d_ShadingAspect::SetMaterial | ( | const Graphic3d_NameOfMaterial | aMaterial,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |

Standard_EXPORT void Prs3d_ShadingAspect::SetMaterial | ( | const Graphic3d_MaterialAspect & | aMaterial,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |

Standard_EXPORT void Prs3d_ShadingAspect::SetTransparency | ( | const Standard_Real | aValue,
|  | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_BOTH_SIDE`
| ) |

Standard_EXPORT Standard_Real Prs3d_ShadingAspect::Transparency | ( | const Aspect_TypeOfFacingModel | aModel = `Aspect_TOFM_FRONT_SIDE` | ) | const

## Field Documentation

Handle_Graphic3d_AspectFillArea3d Prs3d_ShadingAspect::myAspect `[private]`

The documentation for this class was generated from the following file:

- Prs3d_ShadingAspect.hxx